| Home | Libraries | People | FAQ | More

#### spawn (1 of 4 overloads)

Start a new stackful coroutine, calling the specified handler when it completes.

    template<
        typename Handler,
        typename Function>
    void spawn(
        Handler handler,
        Function function,
        const boost::coroutines::attributes & attributes = boost::coroutines::attributes());

This function is used to launch a new coroutine.

###### Parameters

handler

  A handler to be called when the coroutine exits. More importantly, the handler provides an execution context (via the the handler invocation hook) for the coroutine. The handler must have the signature:

      void handler();

function

  The coroutine function. The function must have the signature:

      void function(basic_yield_context<Handler> yield);

attributes

  Boost.Coroutine attributes used to customise the coroutine.